import { PreloadAllModules, RouterModule, Routes } from '@angular/router';
import { AuthGuard } from '@providers/authentication/auth-guard.service';
import { NgModule } from '@angular/core';
import { PageNotFoundComponent } from './features/page-not-found';

export const appRoutes: Routes = [
    { path: '', redirectTo: 'dashboard', pathMatch: 'full' },
    { path: 'customer-profile', loadChildren: () => import('@scorpion/ionic/features/customer-profile/customer-profile.module').then(m => m.CustomerProfileTabsModule) },
    { path: 'pricebook', loadChildren: () => import('@scorpion/ionic/features/pricebook/pricebook.module').then(m => m.PricebookPageModule) },
    { path: 'auth', loadChildren: () => import('@scorpion/ionic/features/auth/auth.module.ts').then(m => m.AuthModule) },
    { path: 'dashboard', loadChildren: () => import('@scorpion/ionic/features/dashboard/dashboard.module').then(m => m.DashboardPageModule), canActivate: [AuthGuard] },
    { path: 'job-details/:dealId/:id', loadChildren: () => import('@scorpion/ionic/features/job-details/job-details-view.module').then(m => m.JobDetailsViewPageModule) },
    { path: 'job', loadChildren: () => import('@scorpion/ionic/features/job/job-tabs.module.ts').then(m => m.DetailsTabsPageModule) },
    { path: 'landing', loadChildren: () => import('@scorpion/ionic/features/landing/landing.module').then(m => m.LandingPageModule) },
    { path: 'task', loadChildren: () => import('@scorpion/ionic/features/task/task.module.ts').then(m => m.TaskModule) },
    { path: 'communication-details', loadChildren: () => import('@scorpion/ionic/features/communication-details/communication-details.module.ts').then(m => m.CommunicationDetailsPageModule) },
    { path: 'estimates', loadChildren: () => import('@scorpion/ionic/features/estimates/estimates.module.ts').then(m => m.EstimatesModule) },
    { path: '**', component: PageNotFoundComponent }
];

@NgModule({
    imports: [RouterModule.forRoot(appRoutes, { preloadingStrategy: PreloadAllModules, enableTracing: false })],
    exports: [RouterModule]
})
export class AppRoutingModule {}
